
#set output "rcrl.ps"; set term postscript color
set output "rcrl.pdf"; set term pdf
set grid
set key opaque
set style data lines

R1="`head -n 1 rcrl.dat | sed 's/^.* R1=\([-+e\.0-9]*\) .*$/\1/'`"
R2="`head -n 1 rcrl.dat | sed 's/^.* R2=\([-+e\.0-9]*\) .*$/\1/'`"
L="`head -n 1 rcrl.dat | sed 's/^.* L=\([-+e\.0-9]*\) .*$/\1/'`"
C="`head -n 1 rcrl.dat | sed 's/^.* C=\([-+e\.0-9]*\).*$/\1/'`"
T=sprintf("RCRL Circuit (R1=%s{/Symbol W}, R2=%s{/Symbol W}, C=%s{F}, L=%s{H})",R1,R2,C,L)
set title T
set xlabel "t [s]"
set ylabel "u_L, u_C [V]"
plot "rcrl.dat" using 1:2 lw 2 lc 7 title "u_C", \
             "" using 1:3 lw 1 lc 6 title "u_L"

set ylabel "i_L [A]"
set title "Phase Space"
set xlabel "u_L [V]"
plot "rcrl.dat" using 3:4 lw 2 lc 0 notitle

